## org.gnu.gdk
Class Image

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gdk.Image

public class Image
extends GObject

Image represents an area for drawing graphics.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`Image(Handle handle)`
`Image(ImageType type, Visual visual, int width, int height)` Create a new Image.

Method Summary
`protected static Handle` `gdk_image_get_colormap(Handle image)`
`protected static int` `gdk_image_get_pixel(Handle image, int x, int y)`
`protected static int` `gdk_image_get_type()`
`protected static Handle` `gdk_image_new(int type, Handle visual, int width, int height)`
`protected static void` `gdk_image_put_pixel(Handle image, int x, int y, int pixel)`
`protected static void` `gdk_image_set_colormap(Handle image, Handle colormap)`
`protected static int` `getBitsPerPixel(Handle obj)`
`protected static int` `getBpl(Handle obj)`
`protected static int` `getBpp(Handle obj)`
`protected static int` `getByteOrder(Handle obj)`
`Colormap` `getColormap()` Retrieves the colormap for a given image.
`protected static int` `getDepth(Handle obj)`
`protected static int` `getHeight(Handle obj)`
`protected static Handle` `getVisual(Handle obj)` BEGINNING OF GENERATED CODE
`protected static int` `getWidth(Handle obj)`
`void` `setColormap(Colormap cmap)` Sets the colormap for the image.

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Image

    public Image(Handle handle)

### Image

    public Image(ImageType type,
                 Visual visual,
                 int width,
                 int height)

  Create a new Image.

Method Detail

### getColormap

    public Colormap getColormap()

  Retrieves the colormap for a given image.

### setColormap

    public void setColormap(Colormap cmap)

  Sets the colormap for the image.

### getVisual

    protected static final Handle getVisual(Handle obj)

  BEGINNING OF GENERATED CODE

### getByteOrder

    protected static final int getByteOrder(Handle obj)

### getWidth

    protected static final int getWidth(Handle obj)

### getHeight

    protected static final int getHeight(Handle obj)

### getDepth

    protected static final int getDepth(Handle obj)

### getBpp

    protected static final int getBpp(Handle obj)

### getBpl

    protected static final int getBpl(Handle obj)

### getBitsPerPixel

    protected static final int getBitsPerPixel(Handle obj)

### gdk_image_get_type

    protected static final int gdk_image_get_type()

### gdk_image_new

    protected static final Handle gdk_image_new(int type,
                                                Handle visual,
                                                int width,
                                                int height)

### gdk_image_put_pixel

    protected static final void gdk_image_put_pixel(Handle image,
                                                    int x,
                                                    int y,
                                                    int pixel)

### gdk_image_get_pixel

    protected static final int gdk_image_get_pixel(Handle image,
                                                   int x,
                                                   int y)

### gdk_image_set_colormap

    protected static final void gdk_image_set_colormap(Handle image,
                                                       Handle colormap)

### gdk_image_get_colormap

    protected static final Handle gdk_image_get_colormap(Handle image)